Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ConditionParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.ConditionParams

Direct Known Subclasses:
  RoutingCaseParams

    public class ConditionParams

extends Object

Represents a condition on the state of a call center.

Java class for ConditionParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConditionParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <group ref="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}Conditions"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected ConditionParamsList` | `all`
`protected Named` | `custom`
`protected ConditionParamsList` | `either`
`protected TwoIndicesWithTypesParams` | `fracBusyAgents`
`protected IndexThreshWithTypeParams` | `fracBusyAgentsThresh`
`protected TwoIndicesParams` | `numFreeAgents`
`protected IndexThreshIntParams` | `numFreeAgentsThresh`
`protected TwoIndicesWithTypesParams` | `queueSizes`
`protected IndexThreshIntWithTypeParams` | `queueSizeThresh`
`protected StatConditionParams` | `stat`

Constructor Summary
`ConditionParams()`

Method Summary
`ConditionParamsList` | `getAll()` Gets the value of the all property.
`Named` | `getCustom()` Gets the value of the custom property.
`ConditionParamsList` | `getEither()` Gets the value of the either property.
`TwoIndicesWithTypesParams` | `getFracBusyAgents()` Gets the value of the fracBusyAgents property.
`IndexThreshWithTypeParams` | `getFracBusyAgentsThresh()` Gets the value of the fracBusyAgentsThresh property.
`TwoIndicesParams` | `getNumFreeAgents()` Gets the value of the numFreeAgents property.
`IndexThreshIntParams` | `getNumFreeAgentsThresh()` Gets the value of the numFreeAgentsThresh property.
`TwoIndicesWithTypesParams` | `getQueueSizes()` Gets the value of the queueSizes property.
`IndexThreshIntWithTypeParams` | `getQueueSizeThresh()` Gets the value of the queueSizeThresh property.
`StatConditionParams` | `getStat()` Gets the value of the stat property.
`boolean` | `isSetAll()`
`boolean` | `isSetCustom()`
`boolean` | `isSetEither()`
`boolean` | `isSetFracBusyAgents()`
`boolean` | `isSetFracBusyAgentsThresh()`
`boolean` | `isSetNumFreeAgents()`
`boolean` | `isSetNumFreeAgentsThresh()`
`boolean` | `isSetQueueSizes()`
`boolean` | `isSetQueueSizeThresh()`
`boolean` | `isSetStat()`
`void` | `setAll(ConditionParamsList value)` Sets the value of the all property.
`void` | `setCustom(Named value)` Sets the value of the custom property.
`void` | `setEither(ConditionParamsList value)` Sets the value of the either property.
`void` | `setFracBusyAgents(TwoIndicesWithTypesParams value)` Sets the value of the fracBusyAgents property.
`void` | `setFracBusyAgentsThresh(IndexThreshWithTypeParams value)` Sets the value of the fracBusyAgentsThresh property.
`void` | `setNumFreeAgents(TwoIndicesParams value)` Sets the value of the numFreeAgents property.
`void` | `setNumFreeAgentsThresh(IndexThreshIntParams value)` Sets the value of the numFreeAgentsThresh property.
`void` | `setQueueSizes(TwoIndicesWithTypesParams value)` Sets the value of the queueSizes property.
`void` | `setQueueSizeThresh(IndexThreshIntWithTypeParams value)` Sets the value of the queueSizeThresh property.
`void` | `setStat(StatConditionParams value)` Sets the value of the stat property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### either

    protected ConditionParamsList either

### all

    protected ConditionParamsList all

### queueSizes

    protected TwoIndicesWithTypesParams queueSizes

### queueSizeThresh

    protected IndexThreshIntWithTypeParams queueSizeThresh

### numFreeAgents

    protected TwoIndicesParams numFreeAgents

### numFreeAgentsThresh

    protected IndexThreshIntParams numFreeAgentsThresh

### fracBusyAgents

    protected TwoIndicesWithTypesParams fracBusyAgents

### fracBusyAgentsThresh

    protected IndexThreshWithTypeParams fracBusyAgentsThresh

### stat

    protected StatConditionParams stat

### custom

    protected Named custom

Constructor Detail

### ConditionParams

    public ConditionParams()

Method Detail

### getEither

    public ConditionParamsList getEither()

  Gets the value of the either property.

  Returns:
    possible object is `ConditionParamsList`

### setEither

    public void setEither(ConditionParamsList value)

  Sets the value of the either property.

  Parameters:
    `value` - allowed object is `ConditionParamsList`

### isSetEither

    public boolean isSetEither()

### getAll

    public ConditionParamsList getAll()

  Gets the value of the all property.

  Returns:
    possible object is `ConditionParamsList`

### setAll

    public void setAll(ConditionParamsList value)

  Sets the value of the all property.

  Parameters:
    `value` - allowed object is `ConditionParamsList`

### isSetAll

    public boolean isSetAll()

### getQueueSizes

    public TwoIndicesWithTypesParams getQueueSizes()

  Gets the value of the queueSizes property.

  Returns:
    possible object is `TwoIndicesWithTypesParams`

### setQueueSizes

    public void setQueueSizes(TwoIndicesWithTypesParams value)

  Sets the value of the queueSizes property.

  Parameters:
    `value` - allowed object is `TwoIndicesWithTypesParams`

### isSetQueueSizes

    public boolean isSetQueueSizes()

### getQueueSizeThresh

    public IndexThreshIntWithTypeParams getQueueSizeThresh()

  Gets the value of the queueSizeThresh property.

  Returns:
    possible object is `IndexThreshIntWithTypeParams`

### setQueueSizeThresh

    public void setQueueSizeThresh(IndexThreshIntWithTypeParams value)

  Sets the value of the queueSizeThresh property.

  Parameters:
    `value` - allowed object is `IndexThreshIntWithTypeParams`

### isSetQueueSizeThresh

    public boolean isSetQueueSizeThresh()

### getNumFreeAgents

    public TwoIndicesParams getNumFreeAgents()

  Gets the value of the numFreeAgents property.

  Returns:
    possible object is `TwoIndicesParams`

### setNumFreeAgents

    public void setNumFreeAgents(TwoIndicesParams value)

  Sets the value of the numFreeAgents property.

  Parameters:
    `value` - allowed object is `TwoIndicesParams`

### isSetNumFreeAgents

    public boolean isSetNumFreeAgents()

### getNumFreeAgentsThresh

    public IndexThreshIntParams getNumFreeAgentsThresh()

  Gets the value of the numFreeAgentsThresh property.

  Returns:
    possible object is `IndexThreshIntParams`

### setNumFreeAgentsThresh

    public void setNumFreeAgentsThresh(IndexThreshIntParams value)

  Sets the value of the numFreeAgentsThresh property.

  Parameters:
    `value` - allowed object is `IndexThreshIntParams`

### isSetNumFreeAgentsThresh

    public boolean isSetNumFreeAgentsThresh()

### getFracBusyAgents

    public TwoIndicesWithTypesParams getFracBusyAgents()

  Gets the value of the fracBusyAgents property.

  Returns:
    possible object is `TwoIndicesWithTypesParams`

### setFracBusyAgents

    public void setFracBusyAgents(TwoIndicesWithTypesParams value)

  Sets the value of the fracBusyAgents property.

  Parameters:
    `value` - allowed object is `TwoIndicesWithTypesParams`

### isSetFracBusyAgents

    public boolean isSetFracBusyAgents()

### getFracBusyAgentsThresh

    public IndexThreshWithTypeParams getFracBusyAgentsThresh()

  Gets the value of the fracBusyAgentsThresh property.

  Returns:
    possible object is `IndexThreshWithTypeParams`

### setFracBusyAgentsThresh

    public void setFracBusyAgentsThresh(IndexThreshWithTypeParams value)

  Sets the value of the fracBusyAgentsThresh property.

  Parameters:
    `value` - allowed object is `IndexThreshWithTypeParams`

### isSetFracBusyAgentsThresh

    public boolean isSetFracBusyAgentsThresh()

### getStat

    public StatConditionParams getStat()

  Gets the value of the stat property.

  Returns:
    possible object is `StatConditionParams`

### setStat

    public void setStat(StatConditionParams value)

  Sets the value of the stat property.

  Parameters:
    `value` - allowed object is `StatConditionParams`

### isSetStat

    public boolean isSetStat()

### getCustom

    public Named getCustom()

  Gets the value of the custom property.

  Returns:
    possible object is `Named`

### setCustom

    public void setCustom(Named value)

  Sets the value of the custom property.

  Parameters:
    `value` - allowed object is `Named`

### isSetCustom

    public boolean isSetCustom()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.